| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class AttributeInfo

    java.lang.Object
      |
      +--Attribute
            |
            +--AttributeInfo

public class AttributeInfo
extends Attribute

Field Summary
`private byte[]` | `info`

Fields inherited from class Attribute
``

Constructor Summary
`AttributeInfo()`

Method Summary
`void` | `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`int` | `get_attributes_length()`
`de.dhbwstuttgart.typeinference.Menge` | `get_info_Menge()`
`byte[]` | `get_info()`
`void` | `set_info(byte[] t)`
`void` | `set_info(de.dhbwstuttgart.typeinference.Menge t)`

Methods inherited from class Attribute
`get_attribute_name_index, set_attribute_name_index`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    private byte[] info

Constructor Detail

### AttributeInfo

    public AttributeInfo()

Method Detail

### get_info

    public byte[] get_info()

### get_info_Menge

    public de.dhbwstuttgart.typeinference.Menge get_info_Menge()

### get_attributes_length

    public int get_attributes_length()

  Specified by:
    `get_attributes_length` in class `Attribute`

### set_info

    public void set_info(byte[] t)

### set_info

    public void set_info(de.dhbwstuttgart.typeinference.Menge t)

### codegen

    public void codegen(ClassFile classfile,
                        java.io.FileOutputStream f)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `Attribute`
    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD